VIGRA - vigra::FourNeighborhood Namespace Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| vigra::FourNeighborhood Namespace Reference |
--- | --- | ---

## Classes
class | NeighborCode
| Encapsulation of direction management for 4-neighborhood. More...
## Typedefs
typedef NeighborCode::Direction | Direction
## Functions
Diff2D const & | east ()
Diff2D const & | north ()
Diff2D const & | west ()
Diff2D const & | south ()
## Variables
const Direction | East = NeighborCode::East
const Direction | North = NeighborCode::North
const Direction | West = NeighborCode::West
const Direction | South = NeighborCode::South
const Direction | DirectionCount = NeighborCode::DirectionCount

## Detailed Description

Utilities for 4-neighborhood.

## Typedef Documentation

typedef NeighborCode::Direction Direction

| Export NeighborCode::Direction into the scope of namespace FourNeighborhood.

## Function Documentation

Diff2D const& east | ( |  | ) | `[inline]`

| Offset to the east neighbor

Diff2D const& north | ( |  | ) | `[inline]`

| Offset to the north neighbor

Diff2D const& south | ( |  | ) | `[inline]`

| Offset to the south neighbor

Diff2D const& west | ( |  | ) | `[inline]`

| Offset to the west neighbor

## Variable Documentation

const Direction DirectionCount = NeighborCode::DirectionCount`[static]`

| Export NeighborCode::DirectionCount to namespace FourNeighborhood

const Direction East = NeighborCode::East`[static]`

| Export NeighborCode::East to namespace FourNeighborhood

const Direction North = NeighborCode::North`[static]`

| Export NeighborCode::North to namespace FourNeighborhood

const Direction South = NeighborCode::South`[static]`

| Export NeighborCode::South to namespace FourNeighborhood

const Direction West = NeighborCode::West`[static]`

| Export NeighborCode::West to namespace FourNeighborhood

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)